package sk.novotnyr.movies.web;

import org.mortbay.jetty.Server;
import org.mortbay.jetty.webapp.WebAppContext;


/**
 * Natartuje Jetty a spust v om webov aplikciu
 * s webovou slubou. Mono spa priamo v Eclipse,
 * odstrauje nutnos ma nakonfigurovan Tomcat.
 *
 */
public class JettyRunner {
	public static void main(String[] args) throws Exception {
	
		Server server = new Server(8080);
		
		WebAppContext webappcontext = new WebAppContext();
		webappcontext.setContextPath("/movie-ws");
		webappcontext.setWar("./web");
	
		server.setHandler(webappcontext);
		server.start();
		
	}
}
